Subject: Re: bug#26490: 25.1; package-buffer-info is incorrectly case-insensitive

From: Steve Purcell <[email-masked]>
Date: Fri, 14 Apr 2017 21:12:47 +1200

I’m going to bind case-fold-search to nil in my case anyway, but I don’t think you want a situation in which the case of the first and last lines differ, simply for the sake of consistency: that’s all that this patch ensures, and it’s orthogonal to filesystem case-sensitivity.

(Further, in package-lint, the intention is to check that the filenames on those lines exactly match the elisp buffer's filename, if any, and the name of the provided feature. Those comparisons should always be case-sensitive, I would think, because the elisp file could be taken from a local case-insensitive FS to a case-sensitive FS, and mismatches would presumably cause issues.)